package com.example.pharmacy.frontEnd;


import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.example.stimulus.Stimulus;
import com.example.stimulus.SedentaryStimulus;
import com.example.stimulusStrategy.SigMotionDetect;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        setUpButtons();
        setUpStimulus();
    }

    private void setUpButtons(){
        Button settings = (Button)findViewById(R.id.settings);
        settings.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(view.getContext(), Settings.class);
                startActivity(intent);
            }
        });
    }

    private void setUpStimulus(){
        Stimulus stimulus = new SedentaryStimulus(this, new SigMotionDetect());

    }


}
